<ion-header>
    <ion-navbar>
        <ion-title>
            Member App
        </ion-title>
    </ion-navbar>
</ion-header>

<ion-content>
    <ion-card>
        <ion-card-content>
            <ion-input [(ngModel)]="code" type="text" placeholder="Enter code here"></ion-input>
            <button ion-button block (click)="process()">Process</button>

            <img *ngIf="displayQrCode()" [src]="generated" />
        </ion-card-content>
    </ion-card>
</ion-content>